Subject: Re: bug#44581: 28.0.50; undo comment-region error

From: Alan Mackenzie <[email-masked]>
Date: Sun, 15 Nov 2020 13:31:59 +0000

Hello again, Mattias.

On Sun, Nov 15, 2020 at 13:30:28 +0100, Mattias Engdegård wrote:
> 15 nov. 2020 kl. 13.20 skrev Alan Mackenzie <[email-masked]>:

> > Maybe I need the same change in uncomment-region-default too, but
> > I'm not sure.

> It seems more difficult to provoke uncomment-region to change text
> outside the region. Until we have a concrete example, better leave
> that code unchanged.

Yes, I agree.

> > Here is a provisional patch, based on the master branch (although the
> > fix should probably go into emacs-27).  Could you test it, please.

> Seems to work nicely. Thank you!

Thanks!  I've committed it to the emacs-27 branch, and I'm closing the
bug with this post.

-- 
Alan Mackenzie (Nuremberg, Germany).